const defaultTheme = require('tailwindcss/defaultTheme');

module.exports = {
  content: [
    './vendor/laravel/framework/src/Illuminate/Pagination/resources/views/*.blade.php',
    './vendor/laravel/jetstream/**/*.blade.php',
    './storage/framework/views/*.php',
    './resources/views/**/*.blade.php',
    './resources/js/**/*.vue',
  ],

  darkMode: 'class',

  theme: {
    fontFamily: {
      body: ['Lato'],
      display: ['PoiretOne'],
    },

    extend: {
      colors: {
        'sherwin': {
          'marshmallow': '#eee9e0'
          'ice-cube': '#e3e4e1',
          'peppercorn': '#585858',
          'black-magic': '#323132',
          'tricorn-black': '#2f2f30',
        },

        // use https://uicolors.app/create
        // neutals
        'nomad': {
          50: '#fbfbf8',
          100: '#f6f6f3',
          200: '#e9e5e2',
          300: '#dad3cd',
          400: '#b5a89c',
          500: '#827262',
          600: '#5e5647',
          700: '#4b4235',
          800: '#2d2420',
          900: '#201913',
        },

        // reds
        'crimson': {
          50: '#fff1f1',
          100: '#ffe0e0',
          200: '#ffc6c6',
          300: '#ff9e9e',
          400: '#ff6666',
          500: '#fd3636',
          600: '#eb1717',
          700: '#c60f0f',
          800: '#a31111',
          900: '#871515',
        },

        'monza': {
          50: '#fff0f0',
          100: '#ffdede',
          200: '#ffc3c4',
          300: '#ff999a',
          400: '#ff5e60',
          500: '#ff2c2f',
          600: '#f60c0f',
          700: '#db0609',
          800: '#ab090b',
          900: '#8d0f11',
        },

        'totem-pole': {
          50: '#fff0f0',
          100: '#ffdddd',
          200: '#ffc0c0',
          300: '#ff9494',
          400: '#ff5757',
          500: '#ff2323',
          600: '#ff0303',
          700: '#d70000',
          800: '#b10303',
          900: '#8f0a0a',
        },

        'mandy': {
          50: '#fef2f3',
          100: '#fde6e7',
          200: '#fbd0d5',
          300: '#f7aab2',
          400: '#f27a8a',
          500: '#ea546c',
          600: '#d5294d',
          700: '#b31d3f',
          800: '#961b3c',
          900: '#811a39',
        },

        'violet-red': {
          50: '#fff1f3',
          100: '#ffe3e8',
          200: '#ffccd7',
          300: '#ffa2b6',
          400: '#ff6d8f',
          500: '#f94373',
          600: '#e61858',
          700: '#c20e4b',
          800: '#a30e45',
          900: '#8b1041',
        },


        // oranges
        'saffron-mango': {
          50: '#fff9eb',
          100: '#feeec7',
          200: '#fddc8a',
          300: '#fcc653',
          400: '#fbad24',
          500: '#f58a0b',
          600: '#d96506',
          700: '#b44409',
          800: '#92350e',
          900: '#782c0f',
        },

        'sunshade': {
          50: '#fff8eb',
          100: '#ffecc6',
          200: '#ffd788',
          300: '#ffbc4a',
          400: '#ffa424',
          500: '#f97e07',
          600: '#dd5902',
          700: '#b73b06',
          800: '#942c0c',
          900: '#7a250d',
        },

        'hot-cinnamon': {
          50: '#fdf8ed',
          100: '#f9eacc',
          200: '#f3d394',
          300: '#edb75c',
          400: '#e89e37',
          500: '#e17e1f',
          600: '#d3631a',
          700: '#a54118',
          800: '#86341a',
          900: '#6f2c18',
        },

        'fire-bush': {
          50: '#fef7ec',
          100: '#faeacb',
          200: '#f5d292',
          300: '#efb65a',
          400: '#ea9727',
          500: '#e47d1c',
          600: '#ca5b15',
          700: '#a74016',
          800: '#883218',
          900: '#702a17',
        },


        // yellows
        'vesuvius': {
          50: '#fffbeb',
          100: '#fef3c7',
          200: '#fde58a',
          300: '#fbd24e',
          400: '#fabe25',
          500: '#f49d0c',
          600: '#d87607',
          700: '#bc560a',
          800: '#923f0e',
          900: '#78340f',
        },


        'mango-tango': {
          50: '#fefbe8',
          100: '#fff6c2',
          200: '#ffeb88',
          300: '#ffd743',
          400: '#ffc010',
          500: '#efa603',
          600: '#d78400',
          700: '#a45904',
          800: '#87450c',
          900: '#733910',
        },


        // greens
        'mantis': {
          50: '#f6faf3',
          100: '#e9f5e3',
          200: '#d3eac8',
          300: '#afd89d',
          400: '#82bd69',
          500: '#61a146',
          600: '#4c8435',
          700: '#3d692c',
          800: '#345427',
          900: '#2b4522',
        },

        'bright-green': {
          50: '#efffe6',
          100: '#daffc8',
          200: '#b7fe98',
          300: '#88fa5c',
          400: '#5ff02a',
          500: '#3fd60c',
          600: '#2bac04',
          700: '#238209',
          800: '#20670d',
          900: '#1d5710',
        },

        'japanese-laurel': {
          50: '#ebffe5',
          100: '#d0ffc7',
          200: '#a4ff95',
          300: '#6bfe58',
          400: '#3cf526',
          500: '#18dc06',
          600: '#0cad00',
          700: '#0c8506',
          800: '#0f690b',
          900: '#10580f',
        },

        'malachite': {
          50: '#f1feef',
          100: '#defeda',
          200: '#bdfbb7',
          300: '#89f580',
          400: '#4ce741',
          500: '#25cf18',
          600: '#1bc00f',
          700: '#16870e',
          800: '#166a11',
          900: '#135710',
        },

        'forest-green': {
          50: '#f1fdf0',
          100: '#ddfcdc',
          200: '#bff6bc',
          300: '#8aee87',
          400: '#50dc4c',
          500: '#24b321',
          600: '#1ba118',
          700: '#187f16',
          800: '#186417',
          900: '#155215',
        },

        'spring-green': {
          50: '#effef6',
          100: '#d9ffee',
          200: '#b5fddd',
          300: '#7bfac4',
          400: '#3aeea2',
          500: '#12e78d',
          600: '#07b26a',
          700: '#0a8b55',
          800: '#0e6d46',
          900: '#0d5a3c',
        },

        'mountain-meadow': {
          50: '#ecfdf3',
          100: '#d1fae1',
          200: '#a7f3c9',
          300: '#6ee7ac',
          400: '#34d38b',
          500: '#0fa968',
          600: '#05965c',
          700: '#04784c',
          800: '#065f3e',
          900: '#064e34',
        },

        'eucalyptus': {
          50: '#f1fcf5',
          100: '#dff9ea',
          200: '#c0f2d5',
          300: '#8fe6b5',
          400: '#57d18c',
          500: '#30b76b',
          600: '#239654',
          700: '#22844d',
          800: '#1d5e3a',
          900: '#1a4d31',
        },

        'sea-green': {
          50: '#f0f9f4',
          100: '#daf1e3',
          200: '#b8e2cb',
          300: '#8acbaa',
          400: '#58af86',
          500: '#348c66',
          600: '#267554',
          700: '#1e5e46',
          800: '#1a4b38',
          900: '#163e2f',
        },

        'caribbean-green': {
          50: '#effef9',
          100: '#cafdef',
          200: '#94fbe0',
          300: '#57f1cf',
          400: '#24ddba',
          500: '#0ccaa9',
          600: '#069b84',
          700: '#0a7b6c',
          800: '#0d6257',
          900: '#105149',
        },


        // teals
        'aquamarine': {
          50: '#eafff7',
          100: '#cdfeea',
          200: '#a1fadb',
          300: '#63f2c9',
          400: '#25e2b2',
          500: '#01c89c',
          600: '#00a380',
          700: '#00836b',
          800: '#006756',
          900: '#005548',
        },

        'tiber': {
          50: '#edfffc',
          100: '#c2fff8',
          200: '#86fff4',
          300: '#42ffed',
          400: '#0bf6e0',
          500: '#00d9c7',
          600: '#00afa5',
          700: '#008b85',
          800: '#016e6b',
          900: '#05403e',
        },

        'bermuda': {
          50: '#f2fbf9',
          100: '#d2f5f0',
          200: '#a5eae1',
          300: '#7bdbd1',
          400: '#42bfb6',
          500: '#29a39c',
          600: '#1e837f',
          700: '#1c6967',
          800: '#1b5453',
          900: '#1b4645',
        },

        'wedgewood': {
          50: '#f2f9f9',
          100: '#ddeff0',
          200: '#bfe0e2',
          300: '#92cace',
          400: '#5faab1',
          500: '#438e96',
          600: '#3b757f',
          700: '#356169',
          800: '#325158',
          900: '#2d464c',
        },


        // blues
        'cerulean': {
          50: '#f0f9ff',
          100: '#e0f3fe',
          200: '#bbe8fc',
          300: '#7fd5fa',
          400: '#3bc0f5',
          500: '#11a9e6',
          600: '#0588c4',
          700: '#056c9f',
          800: '#095b83',
          900: '#0d4c6d',
        },

        'catalina-blue': {
          50: '#ecfaff',
          100: '#d5f2ff',
          200: '#b5eaff',
          300: '#82dfff',
          400: '#47caff',
          500: '#1dacff',
          600: '#058eff',
          700: '#0076f6',
          800: '#075ec6',
          900: '#0a407b',
        },

        'dodger-blue': {
          50: '#edf8ff',
          100: '#d7edff',
          200: '#b9e1ff',
          300: '#88d0ff',
          400: '#50b5ff',
          500: '#2894ff',
          600: '#1778ff',
          700: '#0a5deb',
          800: '#0f4abe',
          900: '#134395',
        },

        'royal-blue': {
          50: "#eff7ff",
          100: "#dbebfe",
          200: "#beddff",
          300: "#92c9fe",
          400: "#5faafb",
          500: "#3988f8",
          600: "#1c64ec",
          700: "#1b53da",
          800: "#1d44b0",
          900: "#1d3e8b",
        },

        'fun-blue': {
          50: '#f2f7fd',
          100: '#e4edfa',
          200: '#c3d9f4',
          300: '#8dbaec',
          400: '#5197df',
          500: '#2a7acd',
          600: '#1b5daa',
          700: '#174c8d',
          800: '#174175',
          900: '#193961',
        },

        'azure-radiance': {
          50: '#edfaff',
          100: '#d6f2ff',
          200: '#b5eaff',
          300: '#83dfff',
          400: '#48cbff',
          500: '#1eacff',
          600: '#068eff',
          700: '#007aff',
          800: '#085dc5',
          900: '#0d519b',
        },


        // purples
        'lilac-bush': {
          50: '#f8f5fd',
          100: '#f2edfa',
          200: '#e6def6',
          300: '#d4c3ef',
          400: '#bea1e4',
          500: '#9f6dd3',
          600: '#995ec9',
          700: '#894bb6',
          800: '#723f98',
          900: '#5e357d',
        },

        'purple-heart': {
          50: '#faf6fe',
          100: '#f4eafd',
          200: '#ebd9fb',
          300: '#dbbbf7',
          400: '#c58ff1',
          500: '#ae64e8',
          600: '#9943da',
          700: '#8030b9',
          800: '#6f2d9c',
          900: '#5b267d',
        },

        'electric-violet': {
          50: '#f3f1ff',
          100: '#ebe5ff',
          200: '#d9ceff',
          300: '#bea6ff',
          400: '#9f75ff',
          500: '#843dff',
          600: '#7916ff',
          700: '#6b04fd',
          800: '#5a03d5',
          900: '#4b05ad',
        },

        'medium-purple': {
          50: '#f0f1fd',
          100: '#e3e5fc',
          200: '#cccdf9',
          300: '#adadf4',
          400: '#948ced',
          500: '#8170e4',
          600: '#7558d7',
          700: '#6346bc',
          800: '#503b98',
          900: '#443679',
        },

        'wisteria': {
          50: '#faf7fc',
          100: '#f4eef9',
          200: '#eaddf1',
          300: '#dbc1e6',
          400: '#c69dd5',
          500: '#ac75c0',
          600: '#965ca9',
          700: '#774586',
          800: '#633a6e',
          900: '#54335c',
        },

        'amethyst': {
          50: '#fcf5fe',
          100: '#f7e9fe',
          200: '#efd3fb',
          300: '#e6b0f7',
          400: '#d880f2',
          500: '#c450e5',
          600: '#b543d2',
          700: '#8f25a6',
          800: '#762088',
          900: '#631f70',
        },

        'seance': {
          50: '#fcf3ff',
          100: '#fae7ff',
          200: '#f4ceff',
          300: '#efa7ff',
          400: '#e772ff',
          500: '#d73df8',
          600: '#bf1ddc',
          700: '#a615bc',
          800: '#851395',
          900: '#70157a',
        },

        'scarlet-gum': {
          50: '#f6ecff',
          100: '#f0ddff',
          200: '#e5c1ff',
          300: '#d99cff',
          400: '#d474ff',
          500: '#d854ff',
          600: '#d935f6',
          700: '#c328da',
          800: '#9a24af',
          900: '#4e1859',
        },

        'jazzberry-jam': {
          50: '#fef1fa',
          100: '#fee5f8',
          200: '#ffcbf3',
          300: '#ffa1e7',
          400: '#ff67d4',
          500: '#fa3abe',
          600: '#eb179d',
          700: '#cc0a80',
          800: '#b10c6e',
          900: '#8c0f59',
        },


        // pinks
        'mulberry': {
          50: '#fbf4f9',
          100: '#f9eaf4',
          200: '#f5d5ea',
          300: '#eeb3d8',
          400: '#e284bd',
          500: '#d55fa3',
          600: '#c54b8c',
          700: '#a72f6c',
          800: '#8a2a59',
          900: '#74274d',
        },

        'amaranth': {
          50: '#fff1f4',
          100: '#ffe3e8',
          200: '#ffcbd8',
          300: '#ffa1b8',
          400: '#ff6d94',
          500: '#fa3972',
          600: '#e91f64',
          700: '#c40c4f',
          800: '#a40d49',
          900: '#8c0f45',
        },

        'sea-pink': {
          50: '#fdf3f4',
          100: '#fbe8eb',
          200: '#f6d5da',
          300: '#ea9daa',
          400: '#e58799',
          500: '#d75c77',
          600: '#c13d60',
          700: '#a22e4f',
          800: '#882947',
          900: '#752642',
        },


      },

      fontFamily: {
        sans: ['Lato', ...defaultTheme.fontFamily.sans],
        serif: ['Nunito', ...defaultTheme.fontFamily.serif],
        mono: ['Roboto Mono', ...defaultTheme.fontFamily.mono],
      },
    },
  },

  plugins: [
    require('@tailwindcss/forms'),
    require('@tailwindcss/typography'),
    require('tailwindcss-neu'),
    require('daisyui'),
  ],
}
